﻿using Plane.FormationCreator.Formation;
using Plane.FormationCreator.ViewModels;
using MahApps.Metro.Controls;
using Microsoft.Practices.ServiceLocation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Configuration;
using System.IO;
using System.Threading;
using Plane.Logging;

namespace Plane.FormationCreator.Views
{
    /// <summary>
    /// LogWindow.xaml 的交互逻辑
    /// </summary>
    public partial class LogWindow : MetroWindow
    {
        public LogWindow(string log)
        {
            InitializeComponent();
            textAppLog.Text = log;
            textAppLog.SelectionStart = textAppLog.Text.Length;
            textAppLog.ScrollToEnd();
            var _logger = ServiceLocator.Current.GetInstance<ILogger>();
            string loger = _logger.ReadLog();
            textCopterLog.Text = loger;
            textCopterLog.SelectionStart = textCopterLog.Text.Length;
        }
    }
}
